package jp.mosp.common.action;

import java.util.ArrayList;
import java.util.List;

import jp.mosp.common.CommonConst;
import jp.mosp.common.common.MospConst;
import jp.mosp.common.dto.CmAuthorityDto;
import jp.mosp.common.vo.MosPMenuGuideVo;

public class MosPMenuGuideAction extends MosPMenuArrangeAction {

	/**
	 * コンストラクタ
	 */
	public MosPMenuGuideAction() {
		super();
	}

	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// コネクション取得
		getConnection();
		// VOの初期化
		MosPMenuGuideVo vo = new MosPMenuGuideVo();
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
		CmAuthorityDto dto = getUserAuthDto();
		// デフォルトコードの設定
		if (!chkExistDto(dto)) {
			dto = getDefaultAuthDto();
		}
		List<String[]> listMenu = new ArrayList<String[]>();
		if (chkExistDto(dto)) {
			if (dto.getEmployee().length() != 0) {
				listMenu.add(getMenuUnit(CommonConst.TTL_MENU_INPUT, vo.CMD_MENU_INPUT));
			}
			if (dto.getManager().length() != 0) {
				listMenu.add(getMenuUnit(CommonConst.TTL_MENU_MANAGE, vo.CMD_MENU_MAMAGE));
			}
			if (dto.getPayroll().length() != 0) {
				listMenu.add(getMenuUnit(CommonConst.TTL_MENU_PAYROLL, vo.CMD_MENU_PAYROLL));
			}
			if (dto.getHuman().length() != 0) {
				listMenu.add(getMenuUnit(CommonConst.TTL_MENU_HUMAN, vo.CMD_MENU_HUMAN));
			}		
		}
		String[][] array = new String[listMenu.size()][2];
		for (int i = 0; i < array.length; i++) {
			array[i] = listMenu.get(i);
		}
		vo.setFields(array);
		if (array.length == 1 && dto.getEmployee().length() != 0) {
			//勤務表に遷移		
			setNextCmd(getEmployeeCmdArray()[0][0]);
			// サーブレットへ
			setUrl(MospConst.URL_SRV);
		}
	}

}
